Payout wallets
Retry Test Transaction
Re-runs a failed automated test transaction for the caller own PENDING wallet and stores the link.
POSThttps://api.toku.com/hris/retry-test-transaction
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/retry-test-transaction' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"walletID": "string"
}'200 response
{
"success": true,
"message": "string",
"queued": true,
"transactionHash": "string",
"transactionLink": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
walletIDstringrequiredResponse
200Successful response
successbooleanrequiredmessagestringrequiredqueuedbooleanrequiredtransactionHashstringtransactionLinkstring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits